# CbcCutModifier Class Reference

Abstract cut modifier base class. More...

`#include <CbcCutModifier.hpp>`

Inheritance diagram for CbcCutModifier:
[legend]

List of all members.

## Public Member Functions
| CbcCutModifier ()
| Default Constructor.
| CbcCutModifier (const CbcCutModifier &)
virtual | ~CbcCutModifier ()
| Destructor.
CbcCutModifier & | operator= (const CbcCutModifier &rhs)
| Assignment.
virtual CbcCutModifier * | clone () const =0
| Clone.
virtual int | modify (const OsiSolverInterface *solver, OsiRowCut &cut)=0
| Returns 0 unchanged 1 strengthened 2 weakened 3 deleted.
virtual void | generateCpp (FILE *)
| Create C++ lines to get to current state.

## Detailed Description

Abstract cut modifier base class.

In exotic circumstances - cuts may need to be modified a) strengthened - changed b) weakened - changed c) deleted - set to NULL d) unchanged

Definition at line 27 of file CbcCutModifier.hpp.

## Constructor & Destructor Documentation

CbcCutModifier::CbcCutModifier | ( |  | ) |

Default Constructor.

CbcCutModifier::CbcCutModifier | ( | const CbcCutModifier & |  | ) |

virtual CbcCutModifier::~CbcCutModifier | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

CbcCutModifier& CbcCutModifier::operator= | ( | const CbcCutModifier & | rhs | ) |

Assignment.

Reimplemented in CbcCutSubsetModifier.

virtual CbcCutModifier* CbcCutModifier::clone | ( |  | ) | const`[pure virtual]`

Clone.

Implemented in CbcCutSubsetModifier.

virtual int CbcCutModifier::modify | ( | const OsiSolverInterface * | solver,
|  | OsiRowCut & | cut |
| ) |  |  | `[pure virtual]`

Returns 0 unchanged 1 strengthened 2 weakened 3 deleted.

Implemented in CbcCutSubsetModifier.

virtual void CbcCutModifier::generateCpp | ( | FILE * |  | ) | `[inline, virtual]`

Create C++ lines to get to current state.

Reimplemented in CbcCutSubsetModifier.

Definition at line 51 of file CbcCutModifier.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcCutModifier.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines